import { vec2 } from 'gl-matrix';
import { ParallelCompiler } from '../parallel-compiler';
import { UniversalRenderingContext } from '../universal-rendering-context';
import { IProgram } from './i-program';
/** @internal */
export default abstract class Program implements IProgram {
    protected readonly gl: UniversalRenderingContext;
    protected program?: WebGLProgram;
    private modelTransform;
    private readonly ndcToUv;
    private uniforms;
    constructor(gl: UniversalRenderingContext);
    initialize([vertexShaderSource, fragmentShaderSource]: [string, string], compiler: ParallelCompiler, substitutions?: {
        [name: string]: string;
    }): Promise<void>;
    setDrawingRectangleUV(bottomLeft: vec2, size: vec2): void;
    setUniforms(values: {
        [name: string]: any;
    }): void;
    destroy(): void;
    draw(values: {
        [name: string]: any;
    }): void;
    protected bind(): void;
    private queryUniforms;
}
//# sourceMappingURL=program.d.ts.map