import { ReadonlyVec2, vec2, vec3 } from 'gl-matrix';
import { Renderer } from './renderer/renderer';
/** @internal */
export declare class UniformsProvider {
    private readonly renderer;
    ambientLight: vec3;
    textures: {
        [textureName: string]: number;
    };
    private scaleWorldLengthToNDC;
    private transformWorldToNDC;
    private viewAreaBottomLeft;
    private worldAreaInView;
    private squareToAspectRatio;
    private uvToWorld;
    private screenToWorldTransformation;
    private worldToScreenTransformation;
    constructor(renderer: Renderer);
    getUniforms(uniforms: any): any;
    getViewArea(): ReadonlyVec2;
    setViewArea(topLeft: ReadonlyVec2, size: ReadonlyVec2): void;
    screenToWorldPosition(screenPosition: ReadonlyVec2): vec2;
    worldToDisplayCoordinates(worldCoordinates: ReadonlyVec2): vec2;
    calculateScreenToWorldTransformations(): void;
}
//# sourceMappingURL=uniforms-provider.d.ts.map